/**
 * Unified routing module
 * Provides all routing functionality in a centralized location
 */

// Export all types
export * from './types.js';

// Export all matchers
export * from './matchers/index.js';

// Export specificity calculator
export * from './specificity.js';

// Convenience re-exports
export { matchers } from './matchers/index.js';
export { RouteSpecificity } from './specificity.js';